/**
 * This file is part of the SIASAR package.
 *
 * Next.js version 11.1.4
 *
 * SIASAR Global is a joint initiative launched by the governments of Honduras,
 * Nicaragua and Panama that soon expanded to other regions. The strategic
 * purpose of this initiative is to have a basic, updated and comparable
 * information tool on the rural water supply and sanitation services in place
 * in a given country.
 *
 * @summary SIASAR_3 Front-end
 *
 * @author   Marco Marocchi <marco@front.id>
 *
 * @license GPL-3.0
 *
 * @see     http://globalsiasar.org/es/contact
 */

.surveys {
  $width: 284px;

  .MuiTypography-root {
    margin-bottom: 40px;

    @include desktop {
      margin-bottom: 50px;
    }
  }

  .admin-division {
    .MuiGrid-item .MuiFormControl-root {
      padding: 0;
    }

    .MuiAutocomplete-root {
      width: 100%;
      margin-bottom: 20px;

      @include desktop {
        max-width: $width;
      }
    }

    .MuiBox-root {
      display: block !important;

      > div {
        display: inline-block !important;
        width: $width;
        margin-right: 20px;

        &:last-child {
          margin-left: 0;
        }
      }
    }
  }

  .filter-select {
    @include clearfix;
    margin-bottom: 40px;

    @include desktop {
      margin-bottom: 50px;
    }

    .form-select {

      @include desktop {
        width: $width;
        float: left;
        margin-right: 20px !important;
      }

      .MuiOutlinedInput-root {
        max-width: 100%;
        margin-right: 20px;
        margin-bottom: 20px;

        @include desktop {
          margin-bottom: 0;
        }
      }
    }

    .btn-primary {
      @include desktop {
        margin-top: 34px;
      }
    }
  }

  .btns-container {
    margin-bottom: 10px;

    @include desktop {
      margin-bottom: 30px;
    }

    a {
      margin-right: 20px;
      margin-bottom: 20px;

      &:last-child {
        margin-right: 0;
      }
    }
  }
}
